#include "defs.h"

const int max_username_length = 128;
const int max_hostname_length = 128;
const int max_uptime_length   = 40;

struct art_entry arts[] = {
    {
        "cat",
        {
            " ╱|、    ",
            "(˚ˎ。7   ",
            "| 、˜〵  ",
            "じしˍ,)ノ"
        }
    },
    {
        "freebsd",
        {
            "\033[31m_    _\033[0m",
            "\033[31m\\‾‾‾‾/\033[0m",
            "\033[31m|^vv^|\033[0m",
            "\033[31m\\____/\033[0m"
        }
    },
    {
        "gentoo",
        {
            " /‾\\ ",
            "( o \\",
            "/   /",
            "\\__/ "
        }
    },
    {
        "arch",
        {
            "   /\\    ",
            "  /\\ \\  ",
            " /    \\  ",
            "/__/\\__\\"
        }
    }, 
    {   "ubuntu",
        {
            "\033[31m /‾‾‾‾‾\\ \033[0m",
            "\033[31m| o---o |\033[0m",
            "\033[31m|  \\o/  |\033[0m",
            "\033[31m \\_____/ \033[0m"
        }
    },
    {   "mint",
        {
            "\e[0;32m| ‾T‾T‾T‾\\ \033[0m",
            "\e[0;32m|  | | | | \033[0m",
            "\e[0;32m|  | | | | \033[0m",
            "\e[0;32mL________J \033[0m"
        }
    },    
    {   "debian",
        {
            "\e[0;31m  I‾‾‾‾‾\\ \033[0m",
            "\e[0;31m  | I‾‾‾ | \033[0m",
            "\e[0;31m  \\ L___/ \033[0m",
            "\e[0;31m   \\      \033[0m"
        }
    },  
    {   "manjaro",
        {
            "\e[0;32mMM  MMMM \033[0m",
            "\e[0;32mMM  MMMM \033[0m",
            "\e[0;32mMM     M \033[0m",
            "\e[0;32mMM  M  M \033[0m"
        }
    },  
    {   "slackware",
        {
            "\e[0;34m  _____  \033[0m",
            "\e[0;34m  L___   \033[0m",
            "\e[0;34m| ____J  \033[0m",
            "\e[0;34mL_______ \033[0m"
        }
    },  
    {   "triangle",
        {
            "\e[0;36m  /\\  \033[0m",
            "\e[0;36m /\\ \\   \033[0m",
            "\e[0;36m/  \\ \\\033[0m",
            "\e[0;36m‾‾‾‾‾‾\033[0m"
        }
    }, 
    {   "?",
        {
            "  /‾‾‾‾\\ ",
            "        | ",
            "     /‾  ",
            "    0    "  
        }
    }, 
    {   "fedora",
        {
            "\e[0;34m  /‾‾‾‾‾\\\033[0m",
            "\e[0;34m | |‾‾‾ |\033[0m",
            "\e[0;34m | J‾‾‾ |\033[0m",
            "\e[0;34m L_____/ \033[0m"
        }
    }, 
    {   "elementary",
        {
            " /‾‾‾‾‾‾\\",
            "| /‾‾‾‾\\ |",
            "|/|‾‾‾‾‾ |",
            " \\🮀🮀🮀🮀__/"
        }
    }, 
    {   "kali",
        {
            "\e[0;34m  \\ \\    \033[0m",
            "\e[0;34m --/‾‾‾‾\\\033[0m",
            "\e[0;34m   \\    o\033[0m",
            "\e[0;34m    \\    \033[0m",
        }
    },
    {   "artix",
        {
            "\e[0;34m   /\\   \033[0m",
            "\e[0;34m  /\\/\\  \033[0m",
            "\e[0;34m / /\\ \\ \033[0m",
            "\e[0;34m/_//\\__\\\033[0m"
        }
    }, 
    {   "dafuckinstikman",
        {
            "    0  ",
            "   /|\\ ",
            "    |  ",
            "   / \\ "
        }
    }, 
    {   "templeos",
        {
            "\e[0;34m|‾‾‾‾/‾‾‾|\e[0;37m",
            "\e[0;34m|\e[0;33mtempleOS\e[0;34m|\e[0;37m",
            "\e[0;34m| -/-    |\e[0;37m",
            "\e[0;34mL_/______J\e[0;37m"
        }
    } 
};
